Bug 234323 - konqueror crashes when zooming in "too much"
konqueror crashes when zooming in "too much"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-28 10:34 EDT by Konrad Karl
Modified: 2008-05-06 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
konqueror crash backtrace - no debug symbols (6.43 KB, text/plain)
2007-03-29 14:15 EDT, Konrad Karl
no flags Details

  None (edit)
Description Konrad Karl 2007-03-28 10:34:29 EDT
Description of problem:

konqueror crashes when zooming in "too much" when
view mode is set to "icon view" or "tree view" 
(maybe others are affected as well).

subsequent launch attempts fail until manual cleanup
of konqiconviewrc and friends. IconSize=64 is lethal -
setting it back to 32 cures the problem.

Version-Release number of selected component (if applicable):
kdebase-3.5.6-0.1

How reproducible:
always (on my system :-)

Backtrace is telling something about SVGxxxxx but I dont
want to kill konqueror while I am just typing in this text..

Konrad
Comment 1 Ngo Than 2007-03-28 11:23:47 EDT
i have tried with different size and it works for me. I cannot reproduce this 
problem on my machine with FC6-update.

Could you please make sure that you have installed KDE packages from 
FC6-update.

could you please attach the output of "rpm -qa | grep kde"? Thanks
Comment 2 Konrad Karl 2007-03-28 15:02:25 EDT
Here you are. I will try the same on my home machine this evening.

kdeaccessibility-3.5.6-0.1.fc6
kdeaddons-3.5.6-0.3.fc6
kdeadmin-3.5.6-0.1.fc6
kdeartwork-3.5.6-0.1.fc6
kdebase-3.5.6-0.1.fc6
kdebase-devel-3.5.6-0.1.fc6
kdebindings-3.5.6-0.1.fc6
kdegraphics-3.5.6-0.1.fc6
kdegraphics-devel-3.5.6-0.1.fc6
kdelibs-3.5.6-0.3.fc6
kdelibs-devel-3.5.6-0.3.fc6
kdemultimedia-3.5.6-0.1.fc6
kdemultimedia-extras-3.5.6-5.fc6
kdenetwork-3.5.6-0.1.fc6
kdenetwork-devel-3.5.6-0.1.fc6
kdepim-3.5.6-0.2.fc6
kdepim-devel-3.5.6-0.2.fc6
kdesdk-3.5.6-0.1.fc6
kdeutils-3.5.6-0.1.fc6
kdeutils-devel-3.5.6-0.1.fc6
kdevelop-3.3.6-0.1.fc6
kdewebdev-3.5.6-0.1.fc6
Comment 3 Konrad Karl 2007-03-29 14:15:13 EDT
Created attachment 151217 [details]
konqueror crash backtrace - no debug symbols
Comment 4 Konrad Karl 2007-03-29 14:15:56 EDT
On my home system it does indeed not crash. 
(office and home system are uptodate)

Today I crated a new user on my office system, switch-desked to KDE.
same crash. see the attached file backtrace.
It depends on the directory contents. In the home directory (a
few files only) it does not crash, in /tmp (lots of garbage) it crashes.
Konrad
Comment 5 Alexei Podtelezhnikov 2007-04-19 13:50:49 EDT
This bug report should become a bad example of 
how to not report a problem.
What a poor description of a problem!!!
Not a single time anyone mentions that you have 
to use MOUSE and CLICK on the ENLARGE FONTS icon 
on the Main Tool bar.

No wonder Than cannot reproduce it.
Comment 6 jjaakkol 2007-04-24 15:25:12 EDT
You don't need to click enlarge fonts. You just need to enable larger icons at
some point, maybe even before you actually upgraded to FC6. Also, just enabling
larger icons does not trigger this; the problem went away for me when I switched
to keramik style.

Which means that all icons (even when big) crash konqueror in FC6; However one
which definetely does is /usr/share/icons/gnome/scalable/mimetypes/tgz.svg

So, enable large icons, switch to bluecurve style and use konqueror to navigate
to a directory which has a .tgz file and then it crashes. Probably other icons
too, but tgz.svg is the one which triggered this thing for me. 

Bug #236864 seems to be a duplicate of this bug.
Comment 7 jjaakkol 2007-04-24 15:27:14 EDT
argh, I tried to write that _not_ all icons crash konqueror. Sorry about the noise.
Comment 8 David W. Legg 2007-05-14 15:37:44 EDT
I don't think this is the same as Bug 236864.

My example is that konqueror crashes when it looks at a directory containing a
.zip file.  It is also .bz2 and .rpm files according to some-one else:
https://www.redhat.com/archives/fedora-list/2007-March/msg02720.html

The crash error message is:
    konqueror: art_render_gradient.c:338: art_render_gradient_linear_render_8:
Assertion `offset_fraction <= stops[ix].offset' failed.
    KCrash: crashing... crashRecursionCounter = 2
    KCrash: Application Name = konqueror path = <unknown> pid = 3347
Comment 9 Ralf Kleineisel 2007-06-03 05:35:29 EDT
This happens to me when trying to display directories which contain *.rpm or
*.tar.bz2 files at a icon size setting of "very large". Probably this is
connected to the icon.

I used:
kdebase-3.5.6-0.1.fc6
Bluecurve icon theme from redhat-artwork-5.0.8-1.fc6

The problem disappears when switching to the "Crystal SVG" icon theme. It comes
again when using the "Bluecurve" icon theme.
Comment 10 Bug Zapper 2008-04-04 02:42:55 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 15:26:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.